Oteller
Read the next page of a running search. Pass the same dates and room count as the search so rate keys stay bookable.
get/v1/hotels/search/{searchId}
- Kimlik doğrulama gerektirir
Parametreler
| Ad | Konum | Tür | Açıklama |
|---|---|---|---|
| searchId* | yol | string | |
| cursor | sorgu | integer (int32) | |
| checkIn | sorgu | string | |
| checkOut | sorgu | string | |
| rooms | sorgu | integer (int32) |
Yanıtlar
200OKHotelSearchResponse
- searchIdstring
- statusstring
- cursorinteger (int32)
- suppliersDoneinteger (int32)
- supplierCountinteger (int32)
- totalinteger (int32)
- pageinteger (int32)
- pageCountinteger (int32)
- partialboolean
- starFacetsobjectnull olabilir
- HotelResult[]
- hotelCodestring
- namestringnull olabilir
- starsinteger (int32)null olabilir
- cityCodestringnull olabilir
- cityNamestringnull olabilir
- countryCodestringnull olabilir
- addressstringnull olabilir
- latitudenumber (double)null olabilir
- longitudenumber (double)null olabilir
- imagesstring[]
- amenitiesstring[]
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- HotelRoom[]
- 404Not FoundRFC 7807 sorun ayrıntıları
Kod örnekleri
İsteği, ağ geçidinin doğruladığı şekilde imzalayan eksiksiz programlar. YOUR_KEY_ID ve YOUR_SECRET değerlerini değiştirin.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/hotels/search/04864abd0ae74b10baa02b8214a2044f\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/hotels/search/04864abd0ae74b10baa02b8214a2044f" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"